=== debian/changelog ===
sddm-conf (0.2.0-0ubuntu9) plucky; urgency=medium

  * No-change rebuild against libqtilitools-dev. (LP: #2093070)

 -- Walter Lapchynski <wxl@ubuntu.com>  Thu, 06 Feb 2025 00:00:46 +0000

sddm-conf (0.2.0-0ubuntu8) plucky; urgency=medium

  * Switch to Qt 6.
  * Update Standards-Version to 4.7.0, no changes needed.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 19 Oct 2024 15:38:01 -0500

sddm-conf (0.2.0-0ubuntu3) noble; urgency=medium

  * Clean up useless files that got left behind in the last upload
  * Fix debian/watch file

 -- Aaron Rainbolt <arraybolt3@ubuntu.com>  Tue, 20 Feb 2024 13:10:14 -0600

sddm-conf (0.2.0-0ubuntu2) noble; urgency=medium

  * New upstream release.
  * Don't use the "Release" build type anymore, it could interfere with debug
    info generation.
  * Remove an inaccurate documentation field in upstream metadata.
  * Created debian/watch file.

 -- Aaron Rainbolt <arraybolt3@ubuntu.com>  Tue, 20 Feb 2024 12:40:53 -0600

sddm-conf (0.2.0~git20231105-0ubuntu1) noble; urgency=medium

  * Initial release (LP: #2043824).

 -- Simon Quigley <tsimonq2@ubuntu.com>  Fri, 17 Nov 2023 12:26:41 -0600
